## ocaml-gettext 0.3.2

=== po/Makefile ===
##########################################################################
#  ocaml-gettext: a library to translate messages                        #
#                                                                        #
#  Copyright (C) 2003-2008 Sylvain Le Gall <sylvain@le-gall.net>         #
#                                                                        #
#  This library is free software; you can redistribute it and/or         #
#  modify it under the terms of the GNU Lesser General Public            #
#  License as published by the Free Software Foundation; either          #
#  version 2.1 of the License, or (at your option) any later version;    #
#  with the OCaml static compilation exception.                          #
#                                                                        #
#  This library is distributed in the hope that it will be useful,       #
#  but WITHOUT ANY WARRANTY; without even the implied warranty of        #
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU     #
#  Lesser General Public License for more details.                       #
#                                                                        #
#  You should have received a copy of the GNU Lesser General Public      #
#  License along with this library; if not, write to the Free Software   #
#  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307   #
#  USA                                                                   #
##########################################################################


include ../ConfMakefile
include ../TopMakefile

OCAML_GETTEXT_PACKAGE = ocaml-gettext
LINGUAS=$(shell cat LINGUAS)
SOURCES=POTFILES

OCAML_GETTEXT=$(BUILDBIN)/ocaml-gettext
OCAML_GETTEXT_EXTRACT_OPTIONS=--extract-command ../build/bin/ocaml-xgettext
OCAML_GETTEXT_COMPILE_OPTIONS=
OCAML_GETTEXT_INSTALL_OPTIONS=
OCAML_GETTEXT_MERGE_OPTIONS=

POFILES=$(addsuffix .po,$(LINGUAS))
MOFILES=$(addsuffix .mo,$(LINGUAS))
POTFILE=$(OCAML_GETTEXT_PACKAGE).pot

all: install-buildpo

install: install-po

uninstall: uninstall-po

clean:: clean-po

%.mo: %.po
	$(OCAML_GETTEXT) --action compile $(OCAML_GETTEXT_COMPILE_OPTIONS)    \
	--compile-output $@ $^

%.pot: $(SOURCES)
	$(OCAML_GETTEXT) --action extract $(OCAML_GETTEXT_EXTRACT_OPTIONS)    \
	--extract-pot $@ $^

%.po: $(POTFILE)
	$(OCAML_GETTEXT) --action merge   $(OCAML_GETTEXT_MERGE_OPTIONS)      \
	--merge-pot $(POTFILE) $@

$(BUILDPO): 
	mkdir -p $(BUILDPO)

.PRECIOUS: $(POTFILE) 

install-buildpo: $(MOFILES) $(BUILDPO) $(OCAML_GETTEXT)
	$(OCAML_GETTEXT) --action install $(OCAML_GETTEXT_INSTALL_OPTIONS)    \
	--install-textdomain $(OCAML_GETTEXT_PACKAGE)                         \
	--install-destdir $(BUILDPO) $(MOFILES)

install-po: $(MOFILES) $(OCAML_GETTEXT)
	$(OCAML_GETTEXT) --action install $(OCAML_GETTEXT_INSTALL_OPTIONS)    \
	--install-textdomain $(OCAML_GETTEXT_PACKAGE)                         \
	--install-destdir $(PODIR) $(MOFILES)

uninstall-po: $(OCAML_GETTEXT)
	$(OCAML_GETTEXT) --action uninstall $(OCAML_GETTEXT_INSTALL_OPTIONS)  \
	--uninstall-textdomain $(OCAML_GETTEXT_PACKAGE)                       \
	--uninstall-orgdir $(PODIR) $(MOFILES)

clean-po:
	-$(OCAML_GETTEXT) --action uninstall $(OCAML_GETTEXT_INSTALL_OPTIONS) \
	--uninstall-textdomain $(OCAML_GETTEXT_PACKAGE)                       \
	--uninstall-orgdir $(BUILDPO) $(MOFILES)
	-$(RM) $(MOFILES)

## ocaml-gettext 0.3.4

=== Makefile ===
##########################################################################
#  ocaml-gettext: a library to translate messages                        #
#                                                                        #
#  Copyright (C) 2003-2008 Sylvain Le Gall <sylvain@le-gall.net>         #
#                                                                        #
#  This library is free software; you can redistribute it and/or         #
#  modify it under the terms of the GNU Lesser General Public            #
#  License as published by the Free Software Foundation; either          #
#  version 2.1 of the License, or (at your option) any later version;    #
#  with the OCaml static compilation exception.                          #
#                                                                        #
#  This library is distributed in the hope that it will be useful,       #
#  but WITHOUT ANY WARRANTY; without even the implied warranty of        #
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU     #
#  Lesser General Public License for more details.                       #
#                                                                        #
#  You should have received a copy of the GNU Lesser General Public      #
#  License along with this library; if not, write to the Free Software   #
#  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307   #
#  USA                                                                   #
##########################################################################

all:
	cd libgettext-ocaml          && $(MAKE) all
	cd libgettext-stub-ocaml     && $(MAKE) all
	cd libgettext-camomile-ocaml && $(MAKE) all
	cd ocaml-gettext             && $(MAKE) all
	cd po                        && $(MAKE) all
	cd doc                       && $(MAKE) all
	cd test                      && $(MAKE) all

install:
	cd libgettext-ocaml          && $(MAKE) install
	cd libgettext-stub-ocaml     && $(MAKE) install
	cd libgettext-camomile-ocaml && $(MAKE) install
	cd ocaml-gettext             && $(MAKE) install
	cd po                        && $(MAKE) install
	cd doc                       && $(MAKE) install

uninstall:
	cd doc                       && $(MAKE) uninstall
	cd po                        && $(MAKE) uninstall
	cd ocaml-gettext             && $(MAKE) uninstall
	cd libgettext-camomile-ocaml && $(MAKE) uninstall
	cd libgettext-stub-ocaml     && $(MAKE) uninstall
	cd libgettext-ocaml          && $(MAKE) uninstall
	
clean:
	-cd test                      && $(MAKE) clean
	-cd doc                       && $(MAKE) clean
	-cd po                        && $(MAKE) clean
	-cd examples                  && $(MAKE) clean
	-cd ocaml-gettext             && $(MAKE) clean
	-cd libgettext-camomile-ocaml && $(MAKE) clean
	-cd libgettext-stub-ocaml     && $(MAKE) clean
	-cd libgettext-ocaml          && $(MAKE) clean
	-$(RM) -r $(TMPBUILDDIR)

distclean: clean
	-cd test                      && $(MAKE) distclean
	-cd doc                       && $(MAKE) distclean
	-cd po                        && $(MAKE) distclean
	-cd examples                  && $(MAKE) distclean
	-cd ocaml-gettext             && $(MAKE) distclean
	-cd libgettext-camomile-ocaml && $(MAKE) distclean
	-cd libgettext-stub-ocaml     && $(MAKE) distclean
	-cd libgettext-ocaml          && $(MAKE) distclean
	-$(RM) config.* ConfMakefile
	-$(RM) -r autom4te.cache config.log config.cache config.status

headache: distclean
	headache -h .header -c .headache.config `find $(CURDIR)/ -type d -name .svn -prune -false -o -type f`

DIST_DIR=$(PACKAGE_TARNAME)-$(VERSION)
dist:
	darcs dist -d $(DIST_DIR)

test: all
	cd test && ./test

-include ConfMakefile

.PHONY: all install uninstall clean distclean dist test

=== doc/Makefile ===
##########################################################################
#  ocaml-gettext: a library to translate messages                        #
#                                                                        #
#  Copyright (C) 2003-2008 Sylvain Le Gall <sylvain@le-gall.net>         #
#                                                                        #
#  This library is free software; you can redistribute it and/or         #
#  modify it under the terms of the GNU Lesser General Public            #
#  License as published by the Free Software Foundation; either          #
#  version 2.1 of the License, or (at your option) any later version;    #
#  with the OCaml static compilation exception.                          #
#                                                                        #
#  This library is distributed in the hope that it will be useful,       #
#  but WITHOUT ANY WARRANTY; without even the implied warranty of        #
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU     #
#  Lesser General Public License for more details.                       #
#                                                                        #
#  You should have received a copy of the GNU Lesser General Public      #
#  License along with this library; if not, write to the Free Software   #
#  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307   #
#  USA                                                                   #
##########################################################################

include ../ConfMakefile

all:

ifeq ($(BUILD_DOC),yes)
# HTML documentation
HTML_TARGETS=$(call HTML_TARGET,reference-manual.xml)
$(call HTML_TARGET,reference-manual.xml): IMAGES=gui.png gui-fr.png

# PDF documentation
ifeq ($(BUILD_DOC_PDF),yes)
PDF_TARGETS=$(call PDF_TARGET,reference-manual.xml)
endif

ODOC_TARGETS=$(call ODOC_TARGET,api) $(call ODOC_TARGET,api-ext)

# Manpage documentation
MAN_TARGETS=ocaml-gettext.1 ocaml-xgettext.1 ocaml-gettext.5
ocaml-gettext.1: ocaml-gettext.xml
ocaml-xgettext.1: ocaml-xgettext.xml
ocaml-gettext.5: ocaml-gettext-options.xml
endif

include ../TopMakefile

ifeq ($(BUILD_DOC),yes)
ALL_PACKAGES=gettext.base gettext.extension gettext.extract 

ifeq ($(BUILD_CAMOMILE),yes)
ALL_PACKAGES+=gettext-camomile 
endif

ifeq ($(BUILD_STUB),yes)
ALL_PACKAGES+=gettext-stub
endif

$(call ODOC_TARGET,api):REQUIRES=$(ALL_PACKAGES)
$(call ODOC_TARGET,api):OCAMLDOCFLAGS+=-I ../libgettext-ocaml/
$(call ODOC_TARGET,api):../libgettext-ocaml/gettext.mli 
$(call ODOC_TARGET,api):../libgettext-ocaml/gettextTypes.ml
$(call ODOC_TARGET,api):../libgettext-ocaml/gettextDummy.ml

ifeq ($(BUILD_CAMOMILE),yes)
$(call ODOC_TARGET,api):../libgettext-camomile-ocaml/gettextCamomile.mli
$(call ODOC_TARGET,api):OCAMLDOCFLAGS+=-I ../libgettext-camomile-ocaml/
endif

ifeq ($(BUILD_STUB),yes)
$(call ODOC_TARGET,api):../libgettext-stub-ocaml/gettextStub.ml
$(call ODOC_TARGET,api):OCAMLDOCFLAGS+=-I ../libgettext-stub-ocaml/
endif

$(call ODOC_TARGET,api-ext):OCAMLDOCFLAGS+=-I ../libgettext-ocaml 
$(call ODOC_TARGET,api-ext):REQUIRES=$(ALL_PACKAGES)
$(call ODOC_TARGET,api-ext):$(filter-out ../libgettext-ocaml/pr_gettext.ml,$(wildcard ../libgettext-ocaml/*.ml))
$(call ODOC_TARGET,api-ext):$(wildcard ../libgettext-ocaml/*.mli)
endif

clean::
	-$(RM) '$(CURDIR)/ocaml-gettext.5'
	-$(RM) '$(CURDIR)/ocaml-xgettext.1'
	-$(RM) '$(CURDIR)/ocaml-gettext.1'

=== ocaml-gettext/Makefile ===
##########################################################################
#  ocaml-gettext: a library to translate messages                        #
#                                                                        #
#  Copyright (C) 2003-2008 Sylvain Le Gall <sylvain@le-gall.net>         #
#                                                                        #
#  This library is free software; you can redistribute it and/or         #
#  modify it under the terms of the GNU Lesser General Public            #
#  License as published by the Free Software Foundation; either          #
#  version 2.1 of the License, or (at your option) any later version;    #
#  with the OCaml static compilation exception.                          #
#                                                                        #
#  This library is distributed in the hope that it will be useful,       #
#  but WITHOUT ANY WARRANTY; without even the implied warranty of        #
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU     #
#  Lesser General Public License for more details.                       #
#                                                                        #
#  You should have received a copy of the GNU Lesser General Public      #
#  License along with this library; if not, write to the Free Software   #
#  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307   #
#  USA                                                                   #
##########################################################################

include ../ConfMakefile

ifeq ($(BUILD_CAMOMILE),yes)
GETTEXT_MODULES=CAMOMILE
else
ifeq ($(BUILD_STUB),yes)
GETTEXT_MODULES=STUB
endif
endif

ifdef GETTEXT_MODULES
#################################
# Ocaml Gettext utility program #
#################################

NAME       = ocaml-gettext
CMO        = OCamlGettext.cmo      
REQUIRES   = gettext.extension fileutils

ifeq ($(GETTEXT_MODULES),CAMOMILE)
REQUIRES  += gettext-camomile
INCLUDES  += -pp 'camlp4o -I +camlp4 pa_macro.cmo -DCAMOMILE'
endif

ifeq ($(GETTEXT_MODULES),STUB)
REQUIRES  += gettext-stub
INCLUDES  += -pp 'camlp4o -I +camlp4 pa_macro.cmo -DSTUB'
endif

include ../TopMakefile

#################################
# Ocaml Gettext extract program #
#################################

all: ocaml-xgettext

install: ocaml-xgettext-install

uninstall: ocaml-xgettext-uninstall

ocaml-xgettext: $(BUILDBIN)
	$(OCAMLC)                                                            \
           -I +camlp4 dynlink.cma camlp4lib.cma                              \
           unix.cma                                                          \
          `$(OCAMLFIND) query -r -predicates byte gettext.extract -i-format` \
          `$(OCAMLFIND) query -r -predicates byte gettext.extract -a-format` \
          `$(OCAMLFIND) query -r -predicates byte gettext.extract -o-format` \
           Camlp4Bin.cmo                                                     \
          -o $@
	$(INSTALL_SCRIPT) -t $(BUILDBIN) $@

ocaml-xgettext-install:
	$(INSTALL_SCRIPT) -t $(BINDIR) ocaml-xgettext 

ocaml-xgettext-uninstall:
	-$(RM) $(BINDIR)/ocaml-xgettext 

clean:: 
	-$(RM) ocaml-xgettext
	-$(RM) $(BUILDBIN)/ocaml-xgettext
endif

=== examples/library/Makefile ===
##########################################################################
#  ocaml-gettext: a library to translate messages                        #
#                                                                        #
#  Copyright (C) 2003-2008 Sylvain Le Gall <sylvain@le-gall.net>         #
#                                                                        #
#  This library is free software; you can redistribute it and/or         #
#  modify it under the terms of the GNU Lesser General Public            #
#  License as published by the Free Software Foundation; either          #
#  version 2.1 of the License, or (at your option) any later version;    #
#  with the OCaml static compilation exception.                          #
#                                                                        #
#  This library is distributed in the hope that it will be useful,       #
#  but WITHOUT ANY WARRANTY; without even the implied warranty of        #
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU     #
#  Lesser General Public License for more details.                       #
#                                                                        #
#  You should have received a copy of the GNU Lesser General Public      #
#  License along with this library; if not, write to the Free Software   #
#  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307   #
#  USA                                                                   #
##########################################################################

all: library.cma

clean:
	$(RM) *.cma *.cmi *.cmo

library.cma: libraryGettext.ml library.ml 
	ocamlfind ocamlc -package gettext.base -a -o $@ $^

=== debian/changelog ===
ocaml-gettext (0.3.4-1build5) trusty; urgency=medium

  * Rebuild for ocaml-4.01.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Dec 2013 22:02:03 +0000

ocaml-gettext (0.3.4-1build4) saucy; urgency=low

  * Rebuild for new OCaml ABIs.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 05 Jun 2013 16:07:54 +0100

ocaml-gettext (0.3.4-1build3) saucy; urgency=low

  * Rebuild for new OCaml ABIs.

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 02 Jun 2013 01:00:59 +0100

ocaml-gettext (0.3.4-1build2) quantal; urgency=low

  * No-change rebuild for current OCaml ABI. 

 -- Michael Bienia <geser@ubuntu.com>  Sat, 26 May 2012 12:53:11 +0200

ocaml-gettext (0.3.4-1build1) precise; urgency=low

  * Rebuild for OCaml 3.12.1.

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 19 Nov 2011 16:59:17 +0000

ocaml-gettext (0.3.4-1) unstable; urgency=low

  [ Stéphane Glondu ]
  * Team upload
  * Fix versioned build-deps to ensure smoother backports
  * Switch source package format to 3.0 (quilt)
  * Bump Standards-Versions to 3.9.2
  * Bump debhelper compatibility level to 8

  [ Sylvain Le Gall ]
  * New upstream release
    * Use camomile 0.8.3 (Closes: #636026)

 -- Stéphane Glondu <glondu@debian.org>  Fri, 12 Aug 2011 08:12:16 +0200

ocaml-gettext (0.3.3-1) unstable; urgency=low

  * New upstream release (Closes: #551234)
    * Remove all patches (applied upstream), comment dpatch
      build-dependency
  * Use dh-ocaml 0.9 features, tighten dependency on camomile for automatic
    dependencies computation
  * Upgrade Standards-Version to 3.8.3 (section ocaml)

 -- Sylvain Le Gall <gildor@debian.org>  Tue, 03 Nov 2009 22:10:05 +0000

ocaml-gettext (0.3.2-2) unstable; urgency=low

  * Switch packaging to git
  * Set maintainer to Debian OCaml Maintainers
  * Add dh-ocaml build-dependency (rules/ocaml.mk)
  * Upgrade Standards-Version to 3.8.0 (debian/README.source)
  * Add ${misc:Depends} to dependencies
  * Update debian/copyright file to use
    http://wiki.debian.org/Proposals/CopyrightFormat
  * Add patch camlp4_311 to fix missing dynlink.cma

 -- Sylvain Le Gall <gildor@debian.org>  Tue, 03 Mar 2009 19:57:03 +0100

ocaml-gettext (0.3.2-1) unstable; urgency=low

  * New upstream release

 -- Sylvain Le Gall <gildor@debian.org>  Thu, 05 Jun 2008 20:35:13 +0000

ocaml-gettext (0.3.1-1) unstable; urgency=low

  * New upstream release (Closes: #479305)
  * Reformat debian/control description (Closes: #480337)

 -- Sylvain Le Gall <gildor@debian.org>  Sat, 10 May 2008 00:28:03 +0200

ocaml-gettext (0.3.0-1) unstable; urgency=low

  [ Sylvain Le Gall ]
  * Initial upload (Closes: #305743)

  [ Stefano Zacchiroli ]
  * fix vcs-svn field to point just above the debian/ dir

 -- Sylvain Le Gall <gildor@debian.org>  Wed, 30 Apr 2008 00:20:58 +0200

=== debian/control ===
Source: ocaml-gettext
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Sylvain Le Gall <gildor@debian.org>
Build-Depends: cdbs (>= 0.4.52~),
  ocaml-nox (>= 3.11),
  debhelper (>= 8),
  ocaml-findlib,
  libcamomile-ocaml-dev (>= 0.8),
  libfileutils-ocaml-dev,
  xsltproc, docbook-xml, docbook-xsl,
  camlp4, camlp4-extra,
  dh-ocaml (>= 0.9.1~)
Standards-Version: 3.9.2
Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/ocaml-gettext.git
Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/ocaml-gettext.git
Homepage: http://forge.ocamlcore.org/projects/ocaml-gettext/

Package: libgettext-ocaml
Architecture: any
Depends: ${ocaml:Depends}, ${shlibs:Depends}, ${misc:Depends}
Provides: ${ocaml:Provides}
Description: OCaml internationalization shared library
 This library provides utilities and libraries to enable localization
 in OCaml programs. It is based on the same principle of GNU gettext.
 .
 The package provides two libraries to do effectively translation :
  - gettext-camomile : pure OCaml implementation of gettext
  - gettext-stub : implementation using the gettext library.
 .
 This package contains shared library.

Package: libgettext-ocaml-dev
Architecture: any
Depends: libcamomile-ocaml-dev,
  libfileutils-ocaml-dev,
  libgettext-ocaml (= ${binary:Version}),
  ${misc:Depends}, ${ocaml:Depends}
Provides: ${ocaml:Provides}
Suggests: ocaml-findlib
Description: OCaml internationalization library
 This library provides utilities and libraries to enable localization
 in OCaml programs. It is based on the same principle of GNU gettext.
 .
 The package provides two libraries to do effectively translation :
  - gettext-camomile : pure OCaml implementation of gettext
  - gettext-stub : implementation using the gettext library.
 .
 This package contains header, OCaml library and devel tools.

## ocaml-gettext 0.3.5

=== libgettext-stub-ocaml/Makefile ===
##########################################################################
#  ocaml-gettext: a library to translate messages                        #
#                                                                        #
#  Copyright (C) 2003-2008 Sylvain Le Gall <sylvain@le-gall.net>         #
#                                                                        #
#  This library is free software; you can redistribute it and/or         #
#  modify it under the terms of the GNU Lesser General Public            #
#  License as published by the Free Software Foundation; either          #
#  version 2.1 of the License, or (at your option) any later version;    #
#  with the OCaml static compilation exception.                          #
#                                                                        #
#  This library is distributed in the hope that it will be useful,       #
#  but WITHOUT ANY WARRANTY; without even the implied warranty of        #
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU     #
#  Lesser General Public License for more details.                       #
#                                                                        #
#  You should have received a copy of the GNU Lesser General Public      #
#  License along with this library; if not, write to the Free Software   #
#  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307   #
#  USA                                                                   #
##########################################################################

include ../ConfMakefile

ifeq ($(BUILD_STUB),yes)

NAME       = gettext-stub
CMO        =       
LIBRARY    = true
REQUIRES   = gettext.extension
PREDICATES =
INSTALLIB  = META
INCLUDES   = $(STUB_CFLAGS)

all:

##############################
# Stub library               #
##############################

CMO_STUB =                 \
 gettextStubCompat_stubs.o \
 gettextStubCompat.cmo     \
 gettextStub.cmo 

INSTALLIB +=               \
 gettextStub.cmxa          \
 gettextStub.cma           \
 gettextStub.a             \
 dllgettextStub.so         \
 libgettextStub.a          \
 gettextStub.cmi           \
 gettextStubCompat.cmi     

INSTALLIB += $(CMO_STUB:.cmo=.cmx)

gettextStub.cma: $(CMO_STUB)
gettextStub.cmxa: $(CMO_STUB:.cmo=.cmx)
gettextStub.cma gettextStub.cmxa: STUBSOBJS = yes 
gettextStub.cma gettextStub.cmxa: OCAMLMKLIB_FLAGS += $(STUB_LDFLAGS)

clean::
	-$(RM) gettextStub.mli
	-$(RM) gettextStubCompat.mli

endif

include ../TopMakefile

=== debian/changelog ===
ocaml-gettext (0.3.5-2build1) xenial; urgency=medium

  * No-change rebuild against ocaml 4.02.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@canonical.com>  Wed, 04 Nov 2015 15:01:31 -0600

ocaml-gettext (0.3.5-2) unstable; urgency=medium

  * Team upload.
  * No longer build ml2c_lc as inline function (Closes: #794732)

 -- Hilko Bengen <bengen@debian.org>  Fri, 14 Aug 2015 21:38:10 +0200

ocaml-gettext (0.3.5-1) unstable; urgency=low

  [ Stéphane Glondu ]
  * New upstream release

  [ Sylvain Le Gall ]
  * Remove Sylvain Le Gall from Uploaders.

  [ Mehdi Dogguy ]
  * Team upload.
  * Upload to instable.

 -- Mehdi Dogguy <mehdi@debian.org>  Fri, 31 Jul 2015 18:39:50 +0000

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,6 @@
 Section: ocaml
 Priority: optional
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
-Uploaders: Sylvain Le Gall <gildor@debian.org>
 Build-Depends: cdbs (>= 0.4.52~),
   ocaml-nox (>= 3.11),
   debhelper (>= 8),

## ocaml-gettext 0.3.7

=== Makefile ===
--- 
+++ 
@@ -44,7 +44,7 @@
 	cd libgettext-camomile-ocaml && $(MAKE) uninstall
 	cd libgettext-stub-ocaml     && $(MAKE) uninstall
 	cd libgettext-ocaml          && $(MAKE) uninstall
-	
+
 clean:
 	-cd test                      && $(MAKE) clean
 	-cd doc                       && $(MAKE) clean
@@ -71,13 +71,16 @@
 headache: distclean
 	headache -h .header -c .headache.config `find $(CURDIR)/ -type d -name .svn -prune -false -o -type f`
 
-DIST_DIR=$(PACKAGE_TARNAME)-$(VERSION)
-dist:
-	darcs dist -d $(DIST_DIR)
+deploy:
+	mkdir dist || true
+	admin-gallu-deploy \
+		--package_name ocaml-gettext --package_version "$(VERSION)" \
+		--verbose --forge_upload --forge_group ocaml-gettext \
+		--autogen
 
 test: all
 	cd test && ./test
 
 -include ConfMakefile
 
-.PHONY: all install uninstall clean distclean dist test
+.PHONY: all install uninstall clean distclean deploy test

=== examples/Makefile ===
##########################################################################
#  ocaml-gettext: a library to translate messages                        #
#                                                                        #
#  Copyright (C) 2003-2008 Sylvain Le Gall <sylvain@le-gall.net>         #
#                                                                        #
#  This library is free software; you can redistribute it and/or         #
#  modify it under the terms of the GNU Lesser General Public            #
#  License as published by the Free Software Foundation; either          #
#  version 2.1 of the License, or (at your option) any later version;    #
#  with the OCaml static compilation exception.                          #
#                                                                        #
#  This library is distributed in the hope that it will be useful,       #
#  but WITHOUT ANY WARRANTY; without even the implied warranty of        #
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU     #
#  Lesser General Public License for more details.                       #
#                                                                        #
#  You should have received a copy of the GNU Lesser General Public      #
#  License along with this library; if not, write to the Free Software   #
#  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307   #
#  USA                                                                   #
##########################################################################

all:
	mkdir build
	cd library && $(MAKE) all
	cd gui     && $(MAKE) all
	cd program && $(MAKE) all
	cd po      && $(MAKE) all
	cd doc     && $(MAKE) all

clean:
	cd doc     && $(MAKE) clean
	cd po      && $(MAKE) clean
	cd program && $(MAKE) clean
	cd gui     && $(MAKE) clean
	cd library && $(MAKE) clean
	$(RM) -r build

=== website/Makefile ===
##########################################################################
#  ocaml-gettext: a library to translate messages                        #
#                                                                        #
#  Copyright (C) 2003-2008 Sylvain Le Gall <sylvain@le-gall.net>         #
#                                                                        #
#  This library is free software; you can redistribute it and/or         #
#  modify it under the terms of the GNU Lesser General Public            #
#  License as published by the Free Software Foundation; either          #
#  version 2.1 of the License, or (at your option) any later version;    #
#  with the OCaml static compilation exception.                          #
#                                                                        #
#  This library is distributed in the hope that it will be useful,       #
#  but WITHOUT ANY WARRANTY; without even the implied warranty of        #
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU     #
#  Lesser General Public License for more details.                       #
#                                                                        #
#  You should have received a copy of the GNU Lesser General Public      #
#  License along with this library; if not, write to the Free Software   #
#  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307   #
#  USA                                                                   #
##########################################################################

SGML_CATALOG_FILES=/etc/sgml/catalog
export SGML_CATALOG_FILES

PROC    = xsltproc --nonet --catalogs
WEBSITE = /usr/share/xml/docbook/custom/website/2.5.0/xsl

all: ocaml-gettext.html

%.html: autolayout.xml
	$(PROC)       $(WEBSITE)/chunk-tabular.xsl $<

autolayout.xml: layout.xml
	$(PROC) -o $@ $(WEBSITE)/autolayout.xsl $<

clean:
	-$(RM) *.html autolayout.xml

=== examples/doc/Makefile ===
##########################################################################
#  ocaml-gettext: a library to translate messages                        #
#                                                                        #
#  Copyright (C) 2003-2008 Sylvain Le Gall <sylvain@le-gall.net>         #
#                                                                        #
#  This library is free software; you can redistribute it and/or         #
#  modify it under the terms of the GNU Lesser General Public            #
#  License as published by the Free Software Foundation; either          #
#  version 2.1 of the License, or (at your option) any later version;    #
#  with the OCaml static compilation exception.                          #
#                                                                        #
#  This library is distributed in the hope that it will be useful,       #
#  but WITHOUT ANY WARRANTY; without even the implied warranty of        #
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU     #
#  Lesser General Public License for more details.                       #
#                                                                        #
#  You should have received a copy of the GNU Lesser General Public      #
#  License along with this library; if not, write to the Free Software   #
#  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307   #
#  USA                                                                   #
##########################################################################

all: program.1

clean:
	$(RM) program.1

program.1: program.xml
	xmllint --xinclude --noent --noout --postvalid $^
	xsltproc --xinclude /usr/share/xml/docbook/stylesheet/nwalsh/manpages/docbook.xsl $^

=== examples/program/Makefile ===
##########################################################################
#  ocaml-gettext: a library to translate messages                        #
#                                                                        #
#  Copyright (C) 2003-2008 Sylvain Le Gall <sylvain@le-gall.net>         #
#                                                                        #
#  This library is free software; you can redistribute it and/or         #
#  modify it under the terms of the GNU Lesser General Public            #
#  License as published by the Free Software Foundation; either          #
#  version 2.1 of the License, or (at your option) any later version;    #
#  with the OCaml static compilation exception.                          #
#                                                                        #
#  This library is distributed in the hope that it will be useful,       #
#  but WITHOUT ANY WARRANTY; without even the implied warranty of        #
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU     #
#  Lesser General Public License for more details.                       #
#                                                                        #
#  You should have received a copy of the GNU Lesser General Public      #
#  License along with this library; if not, write to the Free Software   #
#  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307   #
#  USA                                                                   #
##########################################################################

all: program

clean:
	$(RM) *.cmi *.cmo program

program: programGettext.ml program.ml
	ocamlfind ocamlc -package "gettext-camomile lablgtk2.init" -linkpkg \
	  -I ../library -I ../gui -o $@ library.cma gui.cma $^

=== debian/changelog ===
ocaml-gettext (0.3.7-4build1) eoan; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 06 Sep 2019 15:30:11 +0200

ocaml-gettext (0.3.7-4) unstable; urgency=medium

  [ Stéphane Glondu ]
  * Fix compilation with -safe-string

 -- Kyle Robbertze <paddatrapper@debian.org>  Mon, 19 Aug 2019 23:14:53 +0200

ocaml-gettext (0.3.7-3) unstable; urgency=medium

  * Fix building on bytecode architectures

 -- Kyle Robbertze <paddatrapper@debian.org>  Sat, 27 Jul 2019 10:43:38 -0300

ocaml-gettext (0.3.7-2) unstable; urgency=medium

  * New uploader (Closes: #784039)
  * Fix watch file
  * Convert copyright to 1.0 format
  * Update VCS-* to point to salsa
  * Move Standards-Version to 4.4.0:
    - Move to dh

 -- Kyle Robbertze <paddatrapper@debian.org>  Fri, 26 Jul 2019 12:29:26 -0300

ocaml-gettext (0.3.7-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Update Vcs-*

 -- Stéphane Glondu <glondu@debian.org>  Thu, 20 Jul 2017 08:33:35 +0200

ocaml-gettext (0.3.5-3) unstable; urgency=medium

  * Team upload.
  * Fix a spelling error (Closes: #848619). Thanks to Eriberto for
    reporting it!

 -- Mehdi Dogguy <mehdi@debian.org>  Wed, 21 Dec 2016 14:24:36 +0100

=== debian/control ===
Source: ocaml-gettext
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Kyle Robbertze <paddatrapper@debian.org>
Build-Depends: camlp4,
               camlp4-extra,
               debhelper (>= 12),
               debhelper-compat (=12),
               dh-ocaml (>= 0.9.1~),
               docbook-xml,
               docbook-xsl,
               libcamomile-ocaml-dev (>= 0.8),
               libfileutils-ocaml-dev,
               ocaml-findlib,
               ocaml-nox (>= 3.11),
               xsltproc
Standards-Version: 4.4.0
Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-gettext.git
Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-gettext
Homepage: http://forge.ocamlcore.org/projects/ocaml-gettext/

Package: libgettext-ocaml
Architecture: any
Depends: ${misc:Depends}, ${ocaml:Depends}, ${shlibs:Depends}
Provides: ${ocaml:Provides}
Description: OCaml internationalization shared library
 This library provides utilities and libraries to enable localization
 in OCaml programs. It is based on the same principle of GNU gettext.
 .
 The package provides two libraries to do effectively translation :
  - gettext-camomile : pure OCaml implementation of gettext
  - gettext-stub : implementation using the gettext library.
 .
 This package contains shared library.

Package: libgettext-ocaml-dev
Architecture: any
Depends: libcamomile-ocaml-dev,
         libfileutils-ocaml-dev,
         libgettext-ocaml (= ${binary:Version}),
         ${misc:Depends},
         ${ocaml:Depends}
Provides: ${ocaml:Provides}
Suggests: ocaml-findlib
Description: OCaml internationalization library
 This library provides utilities and libraries to enable localization
 in OCaml programs. It is based on the same principle of GNU gettext.
 .
 The package provides two libraries to do effectively translation :
  - gettext-camomile : pure OCaml implementation of gettext
  - gettext-stub : implementation using the gettext library.
 .
 This package contains header, OCaml library and devel tools.

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for ocaml-gettext package
# Copyright (C) 2008 Sylvain Le Gall <gildor@debian.org>
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation; either version 2, or (at
# your option) any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,
# MA 02110-1301, USA.
#
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
include /usr/share/ocaml/ocamlvars.mk
DESTDIR := $(CURDIR)/debian/tmp

PACKAGE=libgettext-ocaml
PACKAGE_DEV=libgettext-ocaml-dev

export OCAMLFIND_DESTDIR=$(DESTDIR)$(OCAML_STDLIB_DIR)
export PKG_CONFIG_PATH=/usr/lib/$(DEB_BUILD_ARCH)/pkgconfig

%:
	dh $@ --with ocaml

override_dh_auto_clean:
	make distclean

override_dh_auto_build:
	[ -f debian/autoreconf.before ] || dh_autoreconf
	$(MAKE) all

override_dh_auto_install:
	mkdir -p $(DESTDIR)/$(OCAML_STDLIB_DIR)
	$(MAKE) install DESTDIR=$(DESTDIR) \
		prefix=$(DESTDIR)/usr sysconfdir=$(DESTDIR)/etc \
		OCAMLFIND_LDCONF=ignore \
		DOCDIR='$(DESTDIR)/usr/share/doc/$(PACKAGE_DEV)'
	# Avoid installing the .so in the -dev package
	mv $(DESTDIR)/$(OCAML_STDLIB_DIR)/gettext-stub/dllgettextStub.so \
		$(DESTDIR)/$(OCAML_STDLIB_DIR)/dllgettextStub.so
	dh_install

override_dh_auto_test:
	true

## ocaml-gettext 0.4.1

=== doc/Makefile ===
##########################################################################
#  ocaml-gettext: a library to translate messages                        #
#                                                                        #
#  Copyright (C) 2003-2008 Sylvain Le Gall <sylvain@le-gall.net>         #
#                                                                        #
#  This library is free software; you can redistribute it and/or         #
#  modify it under the terms of the GNU Lesser General Public            #
#  License as published by the Free Software Foundation; either          #
#  version 2.1 of the License, or (at your option) any later version;    #
#  with the OCaml static compilation exception.                          #
#                                                                        #
#  This library is distributed in the hope that it will be useful,       #
#  but WITHOUT ANY WARRANTY; without even the implied warranty of        #
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU     #
#  Lesser General Public License for more details.                       #
#                                                                        #
#  You should have received a copy of the GNU Lesser General Public      #
#  License along with this library; if not, write to the Free Software   #
#  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307   #
#  USA                                                                   #
##########################################################################

update:
	pandoc -s -t man ocaml-gettext.1.md -o ocaml-gettext.1
	pandoc -s -t man ocaml-gettext.5.md -o ocaml-gettext.5
	pandoc -s -t man ocaml-xgettext.1.md -o ocaml-xgettext.1

=== debian/changelog ===
ocaml-gettext (0.4.1-2build1) focal; urgency=medium

  * No-change rebuild against ocaml-nox-4.08.1

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 21 Feb 2020 07:30:11 +0000

ocaml-gettext (0.4.1-2) unstable; urgency=medium

  * Fix building on bytecode architectures

 -- Kyle Robbertze <paddatrapper@debian.org>  Sun, 20 Oct 2019 22:22:54 +0200

ocaml-gettext (0.4.1-1) unstable; urgency=medium

  * New upstream version 0.4.1
  * refresh patches
  * Update to dune build system
  * Bump Standards-Version to 4.4.1 (no change)
  * Drop compat to 11 to solve symbol stripping issues

 -- Kyle Robbertze <paddatrapper@debian.org>  Thu, 17 Oct 2019 12:43:13 +0200

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,24 @@
 Source: ocaml-gettext
 Section: ocaml
 Priority: optional
-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Kyle Robbertze <paddatrapper@debian.org>
 Build-Depends: camlp4,
                camlp4-extra,
                debhelper (>= 12),
-               debhelper-compat (=12),
+               debhelper-compat (=11),
                dh-ocaml (>= 0.9.1~),
-               docbook-xml,
-               docbook-xsl,
+               libbenchmark-ocaml-dev,
                libcamomile-ocaml-dev (>= 0.8),
+               libdune-ocaml-dev,
                libfileutils-ocaml-dev,
+               liblablgtk3-ocaml-dev,
+               libounit-ocaml-dev,
+               ocaml-dune,
                ocaml-findlib,
-               ocaml-nox (>= 3.11),
-               xsltproc
-Standards-Version: 4.4.0
+               ocaml-nox (>= 3.11)
+Standards-Version: 4.4.1
 Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-gettext.git
 Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-gettext
 Homepage: http://forge.ocamlcore.org/projects/ocaml-gettext/
@@ -40,7 +43,8 @@
          libfileutils-ocaml-dev,
          libgettext-ocaml (= ${binary:Version}),
          ${misc:Depends},
-         ${ocaml:Depends}
+         ${ocaml:Depends},
+         ${shlibs:Depends}
 Provides: ${ocaml:Provides}
 Suggests: ocaml-findlib
 Description: OCaml internationalization library

=== debian/rules ===
--- 
+++ 
@@ -33,11 +33,11 @@
 	dh $@ --with ocaml
 
 override_dh_auto_clean:
-	make distclean
+	make clean
 
 override_dh_auto_build:
 	[ -f debian/autoreconf.before ] || dh_autoreconf
-	$(MAKE) all
+	$(MAKE) build
 
 override_dh_auto_install:
 	mkdir -p $(DESTDIR)/$(OCAML_STDLIB_DIR)
@@ -45,10 +45,10 @@
 		prefix=$(DESTDIR)/usr sysconfdir=$(DESTDIR)/etc \
 		OCAMLFIND_LDCONF=ignore \
 		DOCDIR='$(DESTDIR)/usr/share/doc/$(PACKAGE_DEV)'
-	# Avoid installing the .so in the -dev package
-	mv $(DESTDIR)/$(OCAML_STDLIB_DIR)/gettext-stub/dllgettextStub.so \
-		$(DESTDIR)/$(OCAML_STDLIB_DIR)/dllgettextStub.so
 	dh_install
 
+# Tests are not compatible with bytecode architectures
 override_dh_auto_test:
-	true
+ifdef ($(OCAML_OPT_ARCH))
+	dh_auto_test
+endif
